Loading...
Searching...
No Matches
decaf::EdDSA< Ristretto >::Signing< CRTP, PURE > Class Reference

Signing (i.e. More...

`#include <ed255.hxx>`

## Public Member Functions

SecureBuffer | sign (const Block &message, const Block &context=NO_CONTEXT()) const
| Sign a message.

## Detailed Description

Signing (i.e.

private) key class, PureEdDSA version

## Member Function Documentation

## sign()

SecureBuffer decaf::EdDSA< Ristretto >::Signing< CRTP, PURE >::sign | ( | const Block & | message,
|  | const Block & | context = `NO_CONTEXT()`
| ) |  | const

inline

Sign a message.

Parameters

  [in] | message | The message to be signed.
  [in] | context | A context for the signature; must be at most 255 bytes.

Warning
  It is generally unsafe to use Ed25519 with both prehashed and non-prehashed messages.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed255.hxx